<?php

	$bdie= $_GET['bdie'];
	$idi= $_GET['idi'];
    include("../php/conexion-infogeneral.php");
    $DatosInstitucion = mysql_query("Select * From datos_instituciones Where idinstitucion='$idi'",$db_infogeneral);
	if(mysql_num_rows($DatosInstitucion)>0) {
		$registro=mysql_fetch_array($DatosInstitucion);
		$institucion=utf8_decode($registro["nombreie"]);
		$departamento=utf8_decode($registro["departamentoie"]);
		$municipio=utf8_decode($registro["municipioie"]);
		$dane=$registro["daneie"];
		$nit=$registro["nitie"];
		$resolucion=utf8_decode($registro["resolucionie"]);
		$rector=utf8_decode($registro["rectorie"]);
		$lectivo=$registro["alectivo"];
	}
	$nomsede=$_GET['nomsede'];
	$danesede=$_GET['danesede'];
	$periodo= $_GET['periodo'];
	$grado=$_POST['gradoest'];
	$grupo=$_POST['grupoest'];
	$idasignatura=$_POST['asignaturasest'];
	$tipodocumento=$_POST['tipodocumento'];

	$contador=0;
	include("../php/conexion-bdie.php");
	$regmatriculados=mysql_query("Select nuid,danesede,idgrupo From datos_matriculas Where estado='1'",$db_basededatosie);
	while ($FilaMatriculado=mysql_fetch_array($regmatriculados)){
		$idestudiantematriculado=$FilaMatriculado["nuid"];
		$danesede=$FilaMatriculado["danesede"];
		$curso=substr($FilaMatriculado["idgrupo"],15,2)." - ".substr($FilaMatriculado["idgrupo"],17,1);
		include("../php/conexion-bdie.php");
		$regestudiantes=mysql_query("Select nombres,apellidos,documento,tipodocumento,fechanacimiento,genero From datos_estudiantes Where nuid='$idestudiantematriculado'",$db_basededatosie);
		if(mysql_num_rows($regestudiantes)>0){
			$FilaEstudiante=mysql_fetch_array($regestudiantes);
			$estudiantesdesordenados[$contador][0]=utf8_decode($FilaEstudiante["apellidos"])." ".utf8_decode($FilaEstudiante["nombres"]);
			$estudiantesdesordenados[$contador][1]=$idestudiantematriculado;
			$estudiantesdesordenados[$contador][2]=$FilaEstudiante["tipodocumento"].": ".$FilaEstudiante["documento"];
			$estudiantesdesordenados[$contador][3]=$FilaEstudiante["fechanacimiento"];
			$estudiantesdesordenados[$contador][4]=$FilaEstudiante["genero"];
			include("../php/conexion-infogeneral.php");
			$regsede= mysql_query("Select nombresede From datos_sedes Where danesede='$danesede'",$db_infogeneral);
			if(mysql_num_rows($regsede)>0) {
				$registro=mysql_fetch_array($regsede);
				$sede=utf8_decode($registro["nombresede"]);
			}
			$estudiantesdesordenados[$contador][5]=$sede;
			$estudiantesdesordenados[$contador][6]=$curso;
		}
		$contador++;
	}
	if ($estudiantesdesordenados) {
		sort($estudiantesdesordenados);
	}
	header('Content-type: application/vnd.ms-excel');
	header("Content-Disposition: attachment; filename=Lista-".substr($grupo,15,2)."-".substr($grupo,17,1).".xls");
	header("Pragma: no-cache");
	header("Expires: 0");
?>

		<h1><?php echo $institucion; ?></h1>
		<h2><?php echo $nomsede; ?></h2>
		<h2><?php echo "LISTA GENERAL DE ESTUDIANTES AŅO LECTIVO ".substr($lectivo,1,4); ?></h2>
		<table cellspacing="0" cellpadding="0">
			<tr>
				<th>#</th>
				<th>ESTUDIANTES</th>
				<th>CODIGO</th>
				<th>DOCUMENTO</th>
				<th>F.NACIMIENTO</th>
				<th>GENERO</th>
				<th>CURSO</th>
				<th>SEDE</th>
			</tr>
			<?php 
				for ($i=0;$i<$contador;$i++) { ?>
					<tr>
						<td><?php echo $i+1; ?></td>
						<td><?php echo $estudiantesdesordenados[$i][0]; ?></td>
						<td><?php echo substr($estudiantesdesordenados[$i][1],12,5); ?></td>
						<td><?php echo $estudiantesdesordenados[$i][2]; ?></td>
						<td><?php echo substr($estudiantesdesordenados[$i][3],0,10); ?></td>
						<td><?php echo $estudiantesdesordenados[$i][4]; ?></td>
						<td><?php echo "C:".$estudiantesdesordenados[$i][6]; ?></td>
						<td><?php echo $estudiantesdesordenados[$i][5]; ?></td>
					</tr>
				<?php }
			?>
		</table>

